### Property

# Gtk IMContext:input-purpose

#### Declaration

    property input-purpose: Gtk.InputPurpose [ read, write ]

#### Description [src]

The purpose of the text field that the `GtkIMContext is connected to.

This property can be used by on-screen keyboards and other input methods to adjust their behaviour.

Type: | `GtkInputPurpose`

Default value | GTK_INPUT_PURPOSE_FREE_FORM

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no